Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.common
Interface ObjectMarshaller

All Known Implementing Classes:
  ApplicationModuleImpl, ObjectMarshallerImpl

public interface ObjectMarshaller

Defines the interface for marshalling custom objects

Since:
  Jdeveloper 3.0

Method Summary
`DataCollector` | `findOrCreateDataCollector(java.lang.Object obj)`
`void` | `finishedPiggybacking()`
`java.lang.String` | `getMarshalledTypeName(java.lang.Object obj)`
`int` | `getSyncMode()`
`boolean` | `isCustomMarshalled(java.lang.Object obj)`
`boolean` | `isInWorkingSet()`
`java.lang.Object` | `marshal(java.lang.Object obj)`
`void` | `resetMarshaller()`
`void` | `setSyncMode(int syncMode)`
`java.lang.Object` | `unMarshal(java.lang.Object obj)`

Method Detail

### marshal

    public java.lang.Object marshal(java.lang.Object obj)

### unMarshal

    public java.lang.Object unMarshal(java.lang.Object obj)

### isCustomMarshalled

    public boolean isCustomMarshalled(java.lang.Object obj)

### getMarshalledTypeName

    public java.lang.String getMarshalledTypeName(java.lang.Object obj)

### finishedPiggybacking

    public void finishedPiggybacking()

### findOrCreateDataCollector

    public DataCollector findOrCreateDataCollector(java.lang.Object obj)

### getSyncMode

    public int getSyncMode()

### setSyncMode

    public void setSyncMode(int syncMode)

### isInWorkingSet

    public boolean isInWorkingSet()

### resetMarshaller

    public void resetMarshaller()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.